# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif
%{!?disttag: %global disttag .%{__distinit}%{__distvers}}

# Do a hardened build where possible
%global _hardened_build 1

# initscripts dependency changed to network-scripts from F-29, EL-8
%global legacy_initscripts %([ "(" "%{__distinit}" == "fc" -a %{__distvers} -gt 28 ")" -o "(" "%{__distinit}" == "rhel" -a %{__distvers} -gt 7 ")" ] && echo 0 || echo 1)

Summary:	The PPP (Point-to-Point Protocol) daemon
Name:		ppp
Version:	2.4.7
Release:	35.0%{disttag}
License:	BSD and LGPLv2+ and GPLv2+ and Public Domain
URL:		http://ppp.samba.org/ppp/
Source0:	https://github.com/paulusmack/ppp/archive/ppp-%{version}.tar.gz
Source1:	ppp-pam.conf
Source2:	ppp-logrotate.conf
Source3:	ppp-tmpfiles.conf
Source4:	ip-down
Source5:	ip-down.ipv6to4
Source6:	ip-up
Source7:	ip-up.ipv6to4
Source8:	ipv6-down
Source9:	ipv6-up
Source10:	ifup-ppp
Source11:	ifdown-ppp
Source12:	ppp-watch.tar.xz

# Fedora patches:
Patch0001:	0001-build-sys-use-gcc-as-our-compiler-of-choice.patch
Patch0002:	0002-build-sys-enable-PAM-support.patch
Patch0003:	0003-build-sys-utilize-compiler-flags-handed-to-us-by-rpm.patch
Patch0004:	0004-doc-add-configuration-samples.patch
Patch0005:	0005-build-sys-don-t-hardcode-LIBDIR-but-set-it-according.patch
Patch0006:	0006-scritps-use-change_resolv_conf-function.patch
Patch0007:	0007-build-sys-don-t-strip-binaries-during-installation.patch
Patch0008:	0008-build-sys-use-prefix-usr-instead-of-usr-local.patch
Patch0009:	0009-pppd-introduce-ipv6-accept-remote.patch
Patch0010:	0010-build-sys-enable-CBCP.patch
Patch0011:	0011-build-sys-don-t-put-connect-errors-log-to-etc-ppp.patch
Patch0012:	0012-pppd-we-don-t-want-to-accidentally-leak-fds.patch
Patch0013:	0013-everywhere-O_CLOEXEC-harder.patch
Patch0014:	0014-everywhere-use-SOCK_CLOEXEC-when-creating-socket.patch
Patch0015:	0015-pppd-move-pppd-database-to-var-run-ppp.patch
Patch0016:	0016-rp-pppoe-add-manpage-for-pppoe-discovery.patch
Patch0018:	0018-scritps-fix-ip-up.local-sample.patch
Patch0019:	0019-sys-linux-rework-get_first_ethernet.patch
Patch0020:	0020-pppd-put-lock-files-in-var-lock-ppp.patch
Patch0021:	0021-build-sys-compile-pppol2tp-plugin-with-RPM_OPT_FLAGS.patch
Patch0022:	0022-build-sys-compile-pppol2tp-with-multilink-support.patch
Patch0023:	0023-build-sys-install-rp-pppoe-plugin-files-with-standar.patch
Patch0024:	0024-build-sys-install-pppoatm-plugin-files-with-standard.patch
Patch0025:	0025-pppd-install-pppd-binary-using-standard-perms-755.patch
Patch0026:	https://www.nikhef.nl/~janjust/ppp/ppp-2.4.7-eaptls-mppe-1.300.patch
Patch0028:	0028-pppoe-include-netinet-in.h-before-linux-in.h.patch
Patch0029:	ppp-2.4.7-DES-openssl.patch
Patch0030:	ppp-2.4.7-honor-ldflags.patch
Patch0031:	ppp-2.4.7-coverity-scan-fixes.patch
Patch0032:	ppp-2.4.7-CVE-2020-8597.patch

# Non-Fedora patches:
Patch100:	mppe_lower_mtu.diff
Patch101:	ppp-2.4.7-ifname.patch
Patch102:	ppp-2.4.7-ppp-watch-cflags.patch
Patch107:	ppp-2.4.3-cbcp_debug.patch
Patch108:	ppp-2.4.7-pppol2tp.patch

# Keep Fedora spec file in SRPM for comparison
Source100:	ppp.spec.fedora

BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
# glib2 only needed for ppp-watch
BuildRequires:	glib2-devel
BuildRequires:	libpcap-devel >= 0.6.2
BuildRequires:	make
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	perl
BuildRequires:	systemd
BuildRequires:	systemd-devel
BuildRequires:	xz
Requires:	/etc/pam.d/system-auth
Requires:	glibc >= 2.0.6
%if %{legacy_initscripts}
Requires:	initscripts >= 9.54
%endif
Requires:	systemd
Requires(pre):	/usr/bin/getent
Requires(pre):	/usr/sbin/groupadd

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.

%if ! %{legacy_initscripts}
%package -n network-scripts-ppp
Summary:	PPP legacy network service support
Requires:	network-scripts
Supplements:	(ppp and network-scripts)

%description -n network-scripts-ppp
This provides the ifup and ifdown scripts for use with the legacy network
service.
%endif

%package devel
Summary:	Headers for ppp plugin development

%description devel
This package contains the header files for building plugins for ppp.

%prep
%setup -q

# ppp-watch
xz -dc %{SOURCE12} | tar xfp -

# Fedora Patches
# ==============

# build-sys: use gcc as our compiler of choice
%patch0001 -p1

# build-sys: enable PAM support
%patch0002 -p1

# build-sys: utilize compiler flags handed to us by rpmbuild
%patch0003 -p1

# doc: add configuration samples
%patch0004 -p1

# build-sys: don't hardcode LIBDIR, but set it according to the target platform
%patch0005 -p1

# scripts: use change_resolv_conf function
%patch0006 -p1

# build-sys: don't strip binaries during installation
%patch0007 -p1

# build-sys: use prefix /usr instead of /usr/local
%patch0008 -p1

# pppd: introduce ipv6-accept-remote
%patch0009 -p1

# build-sys: enable CBCP
%patch0010 -p1

# build-sys: don't put connect-errors log to /etc/ppp/
%patch0011 -p1

# pppd: we don't want to accidentally leak fds
%patch0012 -p1

# everywhere: O_CLOEXEC harder
%patch0013 -p1

# everywhere: use SOCK_CLOEXEC when creating socket
%patch0014 -p1

# pppd: move pppd database to /var/run/ppp
%patch0015 -p1

# rp-pppoe: add manpage for pppoe-discovery
%patch0016 -p1

# scripts: fix ip-up.local sample
%patch0018 -p1

# sys-linux: rework get_first_ethernet()
%patch0019 -p1

# pppd: put lock files in /var/lock/ppp
%patch0020 -p1

# build-sys: compile pppol2tp plugin with RPM_OPT_FLAGS
%patch0021 -p1

# build-sys: compile pppol2tp with multilink support
%patch0022 -p1

# build-sys: install rp-pppoe plugin files with standard perms
%patch0023 -p1

# build-sys: install pppoatm plugin files with standard perms
%patch0024 -p1

# pppd: install pppd binary using standard perms (755)
%patch0025 -p1

# pppd: EAP-TLS patch v1.101
%patch0026 -p1

# Fix FTBFS due to wrong header file order
%patch0028 -p1

# Use openssl for DES (#1556132)
%patch0029 -p1

# Build with distro's LDFLAGS (#1563157)
# https://github.com/paulusmack/ppp/pull/95
%patch0030 -p1

# Fix some issues found by coverity scan
%patch0031 -p1

# Fix buffer overflow in the eap_request and eap_response functions (CVE-2020-8597)
%patch0032 -p1

# =============
# Local Patches
# =============

# Support additional options mppe-lower-mtu (default) & nomppe-lower-mtu
%patch100 -p1 -b .mtu

# Arvin Schnell's ifname patch
# http://marc.theaimsgroup.com/?l=linux-ppp&m=109025160924399&w=2
%patch101 -b .ifname

# Don't use RPM_*_FLAGS twice in ppp-watch, breaks F-16/F-17 builds
%patch102 -b .optflags

# Default PAM configuration file uses password-auth common config;
# revert to system-auth if password-auth is not available
cp -p %{SOURCE1} ppp.pam
if [ ! -f /etc/pam.d/password-auth ]; then
	perl -pi -e s/password-auth/system-auth/ ppp.pam
fi

# Don't debug trace calls to cbcp_open unless the debug flag is set
%patch107 -p1 -b .cbcp_debug

# Need a local copy of linux/if_pppol2tp.h for distributions that don't ship it
%if %([ -f /usr/include/linux/if_pppol2tp.h ] && echo 0 || echo 1)
%patch108
%endif

# Allow for build in directory with setgid permission bit set
chmod 755 sample scripts scripts/chatchat

%build
export RPM_OPT_FLAGS="%{optflags} -fPIC -Wall -fno-strict-aliasing"
%configure
make %{?_smp_mflags}
make %{?_smp_mflags} -C ppp-watch

%install
make INSTROOT=%{buildroot} INSTALL="install -p" install install-etcppp
find scripts -type f | xargs chmod -c a-x
make ROOT=%{buildroot} -C ppp-watch install

# create log files dir
install -d %{buildroot}%{_localstatedir}/log/ppp

# install pam config
install -d %{buildroot}%{_sysconfdir}/pam.d
install -m 644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/ppp

# install logrotate script
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 -p %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/ppp

# install tmpfiles drop-in
install -d %{buildroot}%{_tmpfilesdir}
install -m 644 -p %{SOURCE3} %{buildroot}%{_tmpfilesdir}/ppp.conf
mkdir -p %{buildroot}/run/ppp
mkdir -p %{buildroot}/run/lock/ppp

# install scripts (previously owned by initscripts package)
install -d %{buildroot}%{_sysconfdir}/ppp
install -p %{SOURCE4} %{buildroot}%{_sysconfdir}/ppp/ip-down
install -p %{SOURCE5} %{buildroot}%{_sysconfdir}/ppp/ip-down.ipv6to4
install -p %{SOURCE6} %{buildroot}%{_sysconfdir}/ppp/ip-up
install -p %{SOURCE7} %{buildroot}%{_sysconfdir}/ppp/ip-up.ipv6to4
install -p %{SOURCE8} %{buildroot}%{_sysconfdir}/ppp/ipv6-down
install -p %{SOURCE9} %{buildroot}%{_sysconfdir}/ppp/ipv6-up
install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/
install -p %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
install -p %{SOURCE11} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp

%pre
getent group dip &>/dev/null || groupadd -r -g 40 dip &>/dev/null || :

%files
%doc FAQ README README.cbcp README.linux README.MPPE README.MSCHAP80
%doc README.MSCHAP81 README.pwfd README.pppoe scripts sample README.eap-tls
%{_sbindir}/chat
%{_sbindir}/pppd
%{_sbindir}/pppdump
%{_sbindir}/pppoe-discovery
%{_sbindir}/pppstats
%{_sbindir}/ppp-watch
%dir %{_sysconfdir}/ppp/
%{_sysconfdir}/ppp/ip-up
%{_sysconfdir}/ppp/ip-down
%{_sysconfdir}/ppp/ip-up.ipv6to4
%{_sysconfdir}/ppp/ip-down.ipv6to4
%{_sysconfdir}/ppp/ipv6-up
%{_sysconfdir}/ppp/ipv6-down
%if %{legacy_initscripts}
%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp
%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
%endif
%{_mandir}/man8/chat.8*
%{_mandir}/man8/pppd.8*
%{_mandir}/man8/pppdump.8*
%{_mandir}/man8/pppd-radattr.8*
%{_mandir}/man8/pppd-radius.8*
%{_mandir}/man8/pppoe-discovery.8*
%{_mandir}/man8/pppstats.8*
%{_mandir}/man8/ppp-watch.8*
%{_libdir}/pppd/
%dir /run/ppp/
%dir /run/lock/ppp/
%dir %{_sysconfdir}/logrotate.d/
%attr(700,root,root) %dir %{_localstatedir}/log/ppp/
%config(noreplace) %{_sysconfdir}/ppp/eaptls-client
%config(noreplace) %{_sysconfdir}/ppp/eaptls-server
%config(noreplace) %{_sysconfdir}/ppp/chap-secrets
%config(noreplace) %{_sysconfdir}/ppp/options
%config(noreplace) %{_sysconfdir}/ppp/pap-secrets
%config(noreplace) %{_sysconfdir}/pam.d/ppp
%config(noreplace) %{_sysconfdir}/logrotate.d/ppp
%{_tmpfilesdir}/ppp.conf

%if ! %{legacy_initscripts}
%files -n network-scripts-ppp
%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp
%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
%endif

%files devel
%{_includedir}/pppd/
%doc PLUGINS

%changelog
* Tue Apr 23 2020 Paul Howarth <paul@city-fan.org> - 2.4.7-35.0
- Updated EAP-TLS patch to v1.300

* Fri Feb 28 2020 Paul Howarth <paul@city-fan.org> - 2.4.7-34.0
- Fixed buffer overflow in the eap_request and eap_response functions
  (CVE-2020-8597)
- Changed sources to github

* Mon Nov 11 2019 Paul Howarth <paul@city-fan.org> - 2.4.7-33.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 11 2019 Paul Howarth <paul@city-fan.org> - 2.4.7-32.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 20 2019 Paul Howarth <paul@city-fan.org> - 2.4.7-31.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 16 2019 Paul Howarth <paul@city-fan.org> - 2.4.7-30.0
- Fix some issues found by coverity scan

* Thu Nov 22 2018 Paul Howarth <paul@city-fan.org> - 2.4.7-28.0
- Updated EAP-TLS patch to v1.102

* Fri Oct 19 2018 Paul Howarth <paul@city-fan.org> - 2.4.7-27.0
- Split out the network-scripts from Fedora 29 onwards

* Wed Jul  4 2018 Paul Howarth <paul@city-fan.org> - 2.4.7-24.0
- Updated EAP-TLS patch to v1.101 (CVE-2018-11574)
- Replaced initscripts requirement by network-scripts from Fedora 29 (#1592384)
- Remove %%clean section and buildroot cleaning in %%install section
- Drop support for building with old distributions prior to Fedora 21
  - Always assume use of systemd
  - Always have libudev with systemd
  - systemd-units always part of systemd package now
  - Always put ephemeral files under /run rather than /var
  - Always have glibc with CLOEXEC support
  - Always package our own initscripts
  - %%_tmpfilesdir macro always available
  - There's always a devel package for libpcap

* Mon Apr  9 2018 Paul Howarth <paul@city-fan.org> - 2.4.7-21.0
- Also build all DSOs with distro's LDFLAGS (#1563157)
- Link with -E not to break plugins (#1564459)

* Fri Apr  6 2018 Paul Howarth <paul@city-fan.org> - 2.4.7-19.0
- Use openssl for DES instead of libcrypt/glibc (#1556132)
- Build with distro's LDFLAGS (#1563157)

* Wed Dec 20 2017 Paul Howarth <paul@city-fan.org> - 2.4.7-14.0
- EAP-TLS patch updated to version 0.999
- Switched to openssl 1.1
- Drop legacy Group: and BuildRoot: tags

* Mon Feb  6 2017 Paul Howarth <paul@city-fan.org> - 2.4.7-10.0
- Fix FTBFS by pinning OpenSSL version to < 1.1 for the time being

* Wed Aug  3 2016 Paul Howarth <paul@city-fan.org> - 2.4.7-9.1
- Specify all build requirements

* Fri Feb  5 2016 Paul Howarth <paul@city-fan.org> - 2.4.7-9.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 Paul Howarth <paul@city-fan.org> - 2.4.7-8.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Paul Howarth <paul@city-fan.org> - 2.4.7-7.0
- Prevent running into issues caused by undefined behaviour (pointers of
  incompatible types aliasing the same object)

* Sat Jan 31 2015 Paul Howarth <paul@city-fan.org> - 2.4.7-6.1
- Don't package ppp-watch for old distributions where it would conflict with the
  initscripts package

* Thu Jan 29 2015 Paul Howarth <paul@city-fan.org> - 2.4.7-6.0
- Update to 2.4.7
  - Fixed a potential security issue in parsing option files (CVE-2014-3158)
  - There is a new "stop-bits" option, which takes an argument of 1 or 2,
    indicating the number of stop bits to use for async serial ports
  - There is a new "master_detach" option, which allows pppd to detach from the
    controlling terminal when it is the multilink bundle master but its own
    link has terminated, even if the nodetach option has been given
  - Options files can now set and unset environment variables for scripts
  - The timeout for chat scripts can now be taken from an environment variable
  - Various bug fixes
  - Man page updates
- Add ppp-watch
- Refactor patches
- Include ppp initscripts from F-21 onwards
- Drop all remaining legacy cruft for supporting distributions prior to F-5,
  EL-5

* Sun Sep 14 2014 Paul Howarth <paul@city-fan.org> - 2.4.5-34.0
- Fix for CVE-2014-3158
- Drop %%defattr, redundant since rpm 4.4

* Thu Aug  1 2013 Paul Howarth <paul@city-fan.org> - 2.4.5-33.0
- Fix post installation scriptlet to ignore failure

* Mon Jul 29 2013 Paul Howarth <paul@city-fan.org> - 2.4.5-32.0
- Don't ship /var/lock/ppp in rpm payload and create it in %%post instead
  (#980100)
- Use %%{_tmpfilesdir} macro rather than hard-coding the location
- Enable hardened build
- Fix bogus dates in changelog

* Thu Jul  4 2013 Paul Howarth <paul@city-fan.org> - 2.4.5-31.0
- Fix possible NULL pointer dereferencing

* Wed May 29 2013 Paul Howarth <paul@city-fan.org> - 2.4.5-30.0
- Make radius plugin config parser less strict (#906913)

* Wed Mar 20 2013 Paul Howarth <paul@city-fan.org> - 2.4.5-29.0
- Drop hard dependency on logrotate
- Add creation of dip system group (GID = 40)

* Tue Nov 13 2012 Paul Howarth <paul@city-fan.org> - 2.4.5-25.0
- Rebuild again

* Sat Jul 21 2012 Paul Howarth <paul@city-fan.org> - 2.4.5-23.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul  4 2012 Paul Howarth <paul@city-fan.org> - 2.4.5-22.1
- Move the tmpfiles.d config from %%{_sysconfdir} to %%{_prefix}/lib

* Tue May 29 2012 Paul Howarth <paul@city-fan.org> - 2.4.5-22.0
- Fix ppp-2.4.5-eaptls-mppe-0.99 patch (#817011)
- Fix ppp-2.4.5-pppol2tp.patch for IPv6 support, needed for Rawhide

* Mon May 21 2012 Paul Howarth <paul@city-fan.org> - 2.4.5-21.0
- Fix support for multilink channels in pppol2tp plugin (#817013)

* Thu May 17 2012 Paul Howarth <paul@city-fan.org> - 2.4.5-20.0
- Fix compilation of pppd without USE_EAPTLS (#771340)

* Fri Jul 29 2011 Paul Howarth <paul@city-fan.org> - 2.4.5-18.1
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun  2 2011 Paul Howarth <paul@city-fan.org> - 2.4.5-18.0
- Fixes #682381 - hardcodes eth0
- Fixes #708260 - SELinux is preventing access on the file LCK..ttyUSB3

* Tue Apr  5 2011 Paul Howarth <paul@city-fan.org> - 2.4.5-17.0
- man page fixes (#664282, #664868)
- Nobody else likes macros for commands

* Thu Dec  2 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-15.0
- Corrected tmpfiles.d conf

* Wed Dec  1 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-14.0
- Add /etc/tmpfiles.d/ppp.conf to create /var/run/ppp at boot time to support
  operation with tmpfs on /var/run in Fedora 15 onwards (#656671)
- Replaced /var with %%{_localstatedir} and /etc with %%{_sysconfdir}

* Tue Nov 16 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-13.0
- Fix #565294 - SELinux is preventing /sbin/consoletype access to a leaked
  packet_socket fd

* Tue Oct  5 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-12.0
- Sync with ppp-2.4.5-12 in Rawhide
- Updated to latest eaptls upstream
- Fix #637513 - Missing README.eap-tls
- Fix #637886 - EAP-TLS not working with enabled PPP Multilink Framing option

* Thu Aug  5 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-11.0
- Sync with ppp-2.4.5-11 in Rawhide
- instroot patch merged into lib64 patch
- Maintain timestamps on installed files where possible

* Fri Jul 23 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-10.0
- Fix missing line in example script ip-up.local.add (#613717)
- Install pppol2tp plugins (#572174)
- Remove /usr/kerberos/include from eaptls patch
- Reinstate -I/usr/kerberos/include where needed for older distributions
- Add definition of struct pppol2tpv3_addr in include/linux/if_pppol2tp.h,
  needed for kernels >= 2.6.35

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-9.0
- Include eap-tls patch

* Thu May 20 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-8.1
- Fix dist tag for RHEL-6 Beta

* Wed Apr  7 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-8.0
- Added pppoe-discovery(8)
- Update debuginfo patch

* Mon Mar 15 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-7.0
- Merged Fedora usepeerdns-var_run_ppp_resolv patch into
  change_resolv_conf patch; still need local version of this patch for old
  distributions for which we don't apply the change_resolv_conf patch

* Mon Feb 15 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-6.0
- Move pppd2.tdb from /var/run to /var/run/ppp (#560014)

* Mon Feb  8 2010 Paul Howarth <paul@city-fan.org> - 2.4.5-5.0
- Plug leaked file descriptors using close-on-exec where possible

* Tue Nov 24 2009 Paul Howarth <paul@city-fan.org> - 2.4.5-2.0
- Update to 2.4.5
  - Under Linux, pppd supports having no peer IP address (using device routes)
  - Better support for 3G modems
  - PPP over L2TP plugin included
  - A new 'enable-session' option has been added (see pppd man page)
  - Several bugs have been fixed
- Updated patches:
  fix, pppoatm-make, no_strip, make, lib64, local, fix64, debuginfo
- Dropped patches:
  bogus_dns_addr, closelog, new_speeds, pppoatm-mtu, response_len

* Wed Nov 18 2009 Paul Howarth <paul@city-fan.org> - 2.4.4-14.1
- Use perl rather than sed to fix up PAM config for spec compatibility all the
  way back to RHL-7

* Mon Nov 16 2009 Paul Howarth <paul@city-fan.org> - 2.4.4-14.0
- Fixed #524575 (no_strip patch modifies backup files for previous patches)
- Rawhide dist tag no longer needs special-casing

* Thu Sep 17 2009 Paul Howarth <paul@city-fan.org> - 2.4.4-13.0
- Use password-auth common PAM configuration instead of system-auth

* Sun Aug  2 2009 Paul Howarth <paul@city-fan.org> - 2.4.4-12.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  9 2009 Paul Howarth <paul@city-fan.org> - 2.4.4-11.0
- Rebuild for all releases

* Fri Mar  6 2009 - Jiri Skala <jskala@redhat.com> - 2.4.4-11
- Fixed #488764 - package upgrade should not replace configuration files

* Tue Mar  3 2009 Paul Howarth <paul@city-fan.org> - 2.4.4-10.0
- Update to SLES-compatible dist tag macros

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Jiri Skala <jskala@redhat.com> - 2.4.4-9.0
- Fixed #467004 PPP sometimes gets incorrect DNS servers for mobile broadband
  connections

* Thu Sep  4 2008 Paul Howarth <paul@city-fan.org> - 2.4.4-8.0
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.4-8
- Fix license tag
- Re-diff patches to remove fuzz

* Tue May 13 2008 Martin Nagy <mnagy@redhat.com> - 2.4.4-7.0
- Add new speeds, patch by Jason Vas Dias (#446132)

* Thu Mar 27 2008 Paul Howarth <paul@city-fan.org> - 2.4.4-6.0
- Rebuild for older distrbutions
- Remove old patch for #217076, now duplicated by official patch
- Update ppp.spec.redhat in SRPM to 2.4.4-6

* Thu Mar 06 2008 Martin Nagy <mnagy@redhat.com> - 2.4.4-6
- Call closelog earlier (#222295)
- Fix ChapMS2 (#217076)
- Moving header files to new -devel package (#203542)

* Tue Mar  4 2008 Paul Howarth <paul@city-fan.org> - 2.4.4-5.0
- Put logs into /var/log/ppp (#118837)

* Tue Feb 19 2008 Paul Howarth <paul@city-fan.org> - 2.4.4-4.0
- Rebuild with gcc 4.3.0 for Fedora 9
- Update ppp.spec.redhat in SRPM to 2.4.4-4

* Mon Nov 12 2007 Paul Howarth <paul@city-fan.org> - 2.4.4-3.1
- Update ppp.spec.redhat in SRPM to 2.4.4-3
  (this package was not affected by #241753)
- Clarify license as GPL version 2 or later

* Mon Jun 25 2007 Paul Howarth <paul@city-fan.org> - 2.4.4-2.1
- Update ppp.spec.redhat in SRPM to 2.4.4-2

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> - 2.4.4-1.3
- Add RHEL5 and Fedora 7 build support

* Wed Nov 29 2006 Paul Howarth <paul@city-fan.org> - 2.4.4-1.2
- Fix dist tag for development builds
- Add patch to fix connection to paranoid PPTP server using mschapv2 (#217076)

* Fri Sep  8 2006 Paul Howarth <paul@city-fan.org> - 2.4.4-1.1
- Add dist tag
- Add URL
- Define %%{__id_u} for builds on non-Red Hat-based distributions
- Use Fedora standard buildroot
- Vary libpcap buildreq based on distribution/release
- Remove versioned libpcap dependency
- Remove buildroot unconditionally in %%install
- Got rid of a few cosmetic rpmlint warnings
- Add patches:
  - Patch to support mppe_lower_mtu/nomppe_lower_mtu options
  - Arvin Schnell's ifname patch
    (http://marc.theaimsgroup.com/?l=linux-ppp&m=109025160924399&w=2)
  - Define atm_backend_t if the system headers don't (needed on FC2)
  - Extract debug symbols from pppd and pppoe-discovery
  - Use old-style PAM configs on older distributions
  - Look for libpcap headers in different places on older distributions
  - Fix inbound/outbound filter processing using internal functions for
    old libpcap versions
  - Don't debug trace calls to cbcp_open unless the debug flag is set
  - Make sure SIOCSIFNAME is defined (needed for ifname patch on RHL7)
- Clean patch cruft more carefully (don't delete ipv6 sample scripts)
- Cosmetic spec file tidying

* Wed Jul 19 2006 Thomas Woerner <twoerner@redhat.com> - 2.4.4-1
- New version 2.4.4 with lots of fixes
- Fixed resolv.conf docs (#165072)
  Thanks to Matt Domsch for the initial patch
- Enabled CBCP (#199278)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.4.3-6.2.2
- Rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.4.3-6.2.1
- Bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.4.3-6.2
- Rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- Rebuilt

* Sat Nov 12 2005 Florian La Roche <laroche@redhat.com>
- Rebuild

* Fri Nov  4 2005 David Woodhouse <dwmw2@redhat.com> - 2.4.3-5
- Implement ipv6cp-accept-remote option

* Fri Oct  7 2005 Tomas Mraz <tmraz@redhat.com> - 2.4.3-4
- Use include instead of pam_stack in pam config

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- Rebuild for libpcap of the day

* Tue Jul 19 2005 Thomas Woerner <twoerner@redhat.com> - 2.4.3-2.1
- Additional patch for the scripts, thanks to Sammy (#163621)

* Tue Jul 19 2005 Thomas Woerner <twoerner@redhat.com> - 2.4.3-2
- Dropped all executable bits in scripts directory to prevent rpm requiring
  programs used in there

* Mon Jul 18 2005 Thomas Woerner <twoerner@redhat.com> - 2.4.3-1
- New version 2.4.3
  - Updated patches: make, lib64, dontwriteetc, fix, fix64, no_strip,
    radiusplugin
  - Dropped patches: bpf, signal, pcap, pppoatm, pkgcheck

* Tue Nov  2 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-7
- Fixed out of bounds memory access, possible DOS

* Thu Oct  7 2004 David Woodhouse <dwmw2@redhat.com> - 2.4.2-6.3
- Fix use of 'demand' without explicit MTU/MRU with pppoatm

* Tue Oct  5 2004 David Woodhouse <dwmw2@redhat.com> - 2.4.2-6.2
- Link pppoatm plugin against libresolv
- Revert to linux-atm headers without the workaround for #127098

* Mon Oct  4 2004 David Woodhouse <dwmw2@redhat.com> - 2.4.2-6.1
- Include atmsap.h for pppoatm plugin

* Mon Oct  4 2004 David Woodhouse <dwmw2@redhat.com> - 2.4.2-6
- Add pppoatm plugin (#131555)

* Thu Sep 16 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-5.1
- Fixed subscript out of range (#132677)

* Wed Sep 15 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-5
- Example scripts are using change_resolv_conf to modify /etc/resolv.conf
  (#132482)
- Require new libpcap library (>= 0.8.3-6) with a fix for inbound/outbound
  filter processing
- Not using internal libpcap structures anymore, fixes inbound/outbound
  filter processing (#128053)

* Fri Aug  6 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-4
- Fixed signal handling (#29171)

* Mon Jun 21 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-3.1
- Fixed compiler warnings
- Fixed 64bit problem with ms-chap (#125501)
- Enabled pie again

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Mon May 24 2004 David Woodhouse <dwmw2@redhat.com> - 2.4.2-2.3
- Enable IPv6 support; disable PIE to avoid bogus Provides:

* Fri May 14 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-2.2
- Compiled pppd and chat PIE

* Thu May 13 2004 Thomas Woerner <twoerner@redhat.com> - 2.4.2-2.1
- Added 'missingok' to ppp.logrotate (#122911)

* Fri May 07 2004 Nils Philippsen <nphilipp@redhat.com> - 2.4.2-2
- Don't write to /etc (#118837)

* Wed Mar 10 2004 Nalin Dahyabhai <nalin@redhat.com> - 2.4.2-1
- Update to 2.4.2

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Fri Sep  5 2003 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-15
- Rebuild

* Fri Sep  5 2003 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-14
- Apply the patch from -11

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Tue Jun  3 2003 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-12
- Rebuild

* Tue Jun  3 2003 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-11
- Check for libcrypt in the right directory at compile-time

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- Rebuilt

* Thu Dec 12 2002 Elliot Lee <sopwith@redhat.com> - 2.4.1-9
- Fix build failure by rebuilding

* Tue Nov 19 2002 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-8
- Rebuild
- Set x86_64 to use varargs the way s390 does

* Mon Jul 22 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Add patch for varargs problem for s390/s390x from Phil Knirsch

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- Automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- Automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-4
- Rebuild in new environment

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-3
- Revert cbcp patch, it's wrong (#55367)

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-2
- Add buildprereq on pam-devel (#49559)
- Add patch to respond to CBCP LCP requests (#15738)
- Enable cbcp support at build-time
- Change the Copyright: tag to a License: tag

* Wed May 23 2001 Nalin Dahyabhai <nalin@redhat.com> - 2.4.1-1
- Update to 2.4.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- Rebuild in new environment

* Thu Nov  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.4.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- Automatic rebuild

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- Move man pages to %%{_mandir}

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- Change perms using defattr
- Modify PAM setup to use system-auth

* Sun Mar 26 2000 Florian La Roche <Florian.La Roche@redhat.com>
- Change to root:root perms

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- Reaper bugs verified as fixed
- Check pam_open_session result code (bug #9966)

* Mon Feb 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- Take a shot at the wrong reaper bugs (#8153, #5290)

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- Free ride through the build system (release 2)

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.3.11

* Sat Nov 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- Better fix for both problems

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- Fix for double-dial problem
- Fix for requiring a controlling terminal problem

* Sun Sep 19 1999 Preston Brown <pbrown@redhat.com>
- 2.3.10 bugfix release

* Fri Aug 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version 2.3.9 required for kernel 2.3.13 and will be required
  for new initscripts.  auth patch removed; 2.3.9 does the same thing
  more readably than the previous patch.

* Thu Jun 24 1999 Cristian Gafton <gafton@redhat.com>
- Add pppdump

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- Force pppd use the glibc's logwtmp instead of implementing its own

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- Version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- Version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- Auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- Auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- Build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- Updated to 2.3.5

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- Translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Make it run with kernels 2.1.100 and above

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- Translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- Requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- Updated PAM patch to not turn off wtmp/utmp/syslog logging

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- Added the /etc/pam.d config file
- Updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- Updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more
- Added buildroot
- Fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- We build against running kernel and pray that it will work
- Added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- Added a patch to use our own route.h, rather then glibc's (which has
  alignment problems on Alpha's) - I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- Turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- Built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description

